Skip to main content
Nowledge MemNowledge Mem

Search Threads Full

GET
/threads/search

Full thread search with message matching.

Query Parameters

query*Query

Search query

mode?Mode

Search mode: 'suggestions' or 'full'

Default"full"
limit?Limit
Range1 <= value <= 500
Default20
source?|

Filter by source (e.g. 'openclaw', 'claude-code')

space_id?|

Optional isolation space to search

Response Body

application/json

application/json

curl -X GET "https://example.com/threads/search?query=string"
{  "threads": [    {}  ],  "total_found": 0,  "search_metadata": {    "query": "string",    "mode": "string",    "matched_messages_count": 0,    "error": "string"  }}